Page MenuHomePhabricator

Graphoid tests fail
Closed, ResolvedPublic

Description

After updating to the latest version of Graphoid, the following tests are failing:

  • graphoid should get a PNG image from the Extension:Graph/Demo page without revision ID
  • graphoid should get a PNG image from the Extension:Graph/Demo page with the given revision ID
  • graphoid should fail to get a non-existent graph id
  • jshint should pass for working directory

This is worrisome because the same version is deployed in production.

Event Timeline

mobrovac created this task.Jun 22 2015, 9:50 AM
mobrovac assigned this task to Yurik.
mobrovac raised the priority of this task from to High.
mobrovac updated the task description. (Show Details)
mobrovac added projects: Graphoid, Services.
mobrovac added a subscriber: mobrovac.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 22 2015, 9:50 AM
mobrovac raised the priority of this task from High to Unbreak Now!.Jul 13 2015, 6:00 PM

@Yurik, this needs to be fixed ASAP

Change 225266 had a related patch set uploaded (by Agx):
Fixing unity test

https://gerrit.wikimedia.org/r/225266

Change 225266 merged by Yurik:
Fixing unit test

https://gerrit.wikimedia.org/r/225266

Yurik closed this task as Resolved.Jul 16 2015, 11:49 PM
Restricted Application added subscribers: TerraCodes, Urbanecm. · View Herald TranscriptMay 16 2016, 5:27 AM
Restricted Application added a subscriber: Jay8g. · View Herald TranscriptJan 14 2017, 2:40 AM